Bug 1786323 - starting chrome crash gnome-shell
Summary: starting chrome crash gnome-shell
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 31
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Florian Müllner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-24 12:13 UTC by Ope @Linux
Modified: 2020-02-01 17:09 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)
retrace failed ... (117.80 KB, image/png)
2019-12-24 12:13 UTC, Ope @Linux
no flags Details
journalctl --since "2019-12-24 12:00:00" > crash.journalctr.txt (1013.08 KB, text/plain)
2019-12-24 12:17 UTC, Ope @Linux
no flags Details
journal log (143.27 KB, text/plain)
2020-01-12 22:04 UTC, John L Magee
no flags Details
abrt directory (9.38 MB, application/x-xz)
2020-01-12 22:05 UTC, John L Magee
no flags Details
$ journalctl --since "2020-01-18 08:58:00" --until "2020-01-18 09:05:00" >journal.txt (1.09 MB, text/plain)
2020-01-18 08:29 UTC, Ope @Linux
no flags Details

Description Ope @Linux 2019-12-24 12:13:25 UTC
Created attachment 1647496 [details]
retrace failed ...

Description of problem:

After fresh boot, starting google-chrome, I faced a crashing of gnome-shell.

Version-Release number of selected component (if applicable):

olaf@tux64 ~]$ rpm -qa | grep gnome-shell
gnome-shell-extension-places-menu-3.34.2-1.fc31.noarch
gnome-shell-extension-horizontal-workspaces-3.34.2-1.fc31.noarch
gnome-shell-extension-common-3.34.2-1.fc31.noarch
gnome-shell-extension-apps-menu-3.34.2-1.fc31.noarch
gnome-shell-extension-pidgin-1.0.3-5.fc31.noarch
gnome-shell-extension-user-theme-3.34.2-1.fc31.noarch
chrome-gnome-shell-10.1-5.fc31.x86_64
gnome-shell-extension-background-logo-3.34.0-1.fc31.noarch
gnome-shell-extension-window-list-3.34.2-1.fc31.noarch
gnome-shell-3.34.2-1.fc31.x86_64
gnome-shell-extension-launch-new-instance-3.34.2-1.fc31.noarch
[olaf@tux64 ~]$ rpm -qa | grep google-chrome
google-chrome-stable-79.0.3945.88-1.x86_64

How reproducible:

each time

Steps to Reproduce:
1. boot
2. login 
3. Simple start chrome :)


Actual results:

crash of chrome

Expected results:

still working gnome desktop and chrome

Additional info:

Comment 1 Ope @Linux 2019-12-24 12:17:02 UTC
Created attachment 1647500 [details]
journalctl --since "2019-12-24 12:00:00" > crash.journalctr.txt

Comment 2 John L Magee 2020-01-09 01:47:54 UTC
I have the same or a similar issue. If extensions are enabled in the tweak-tool, starting chrome, even following a clean shutdown of chrome, crashes gnome and a reboot, via power button or Ctrl-Alt-F3 and root login, is required and the some careful cleanup of chrome. Disabling extensions and removing the Singleton symlinks in /home/<username>/.config/google-chrome/ will ease the cleanup of remaining windows.

rpm -qa | grep gnome-shell
gnome-shell-extension-activities-configurator-78-1.fc31.noarch
gnome-shell-extension-window-list-3.34.2-1.fc31.noarch
gnome-shell-extension-topicons-plus-22-6.fc31.20191031.0a35713.noarch
gnome-shell-extension-media-player-indicator-0-0.25.20190419git65867e7.fc31.noarch
gnome-shell-extension-remove-bluetooth-icon-0.5.1-11.fc31.noarch
gnome-shell-extension-screenshot-window-sizer-3.34.2-1.fc31.noarch
gnome-shell-extension-calc-0-0.14.gite4f4ac5.fc29.noarch
gnome-shell-extension-launch-new-instance-3.34.2-1.fc31.noarch
gnome-shell-extension-openweather-1-0.38.20181119git7ea4ce7.fc31.noarch
gnome-shell-extension-do-not-disturb-button-34-1.fc31.noarch
gnome-shell-extension-pomodoro-debugsource-0.13.3-1.fc27.x86_64
gnome-shell-extension-user-theme-3.34.2-1.fc31.noarch
gnome-shell-extension-panel-osd-1-0.26.20180616giteb0d3c2.fc29.noarch
gnome-shell-extension-drive-menu-3.34.2-1.fc31.noarch
gnome-shell-extension-no-topleft-hot-corner-19.0-2.fc31.noarch
gnome-shell-extension-ibus-font-0.20170217-6.fc31.noarch
gnome-shell-extension-remove-volume-icon-0.5.1-11.fc31.noarch
gnome-shell-extension-freon-39-2.fc31.noarch
gnome-shell-extension-workspace-indicator-3.34.2-1.fc31.noarch
gnome-shell-extension-horizontal-workspaces-3.34.2-1.fc31.noarch
gnome-shell-3.34.2-1.fc31.x86_64
gnome-shell-extension-pidgin-1.0.3-5.fc31.noarch
gnome-shell-extension-auto-move-windows-3.34.2-1.fc31.noarch
gnome-shell-extension-places-menu-3.34.2-1.fc31.noarch
gnome-shell-extension-pomodoro-0.15.2-0.1.gitcb1ad32.fc31.x86_64
chrome-gnome-shell-10.1-5.fc31.x86_64
gnome-shell-extension-simple-dock-0.1-0.20150505git25c94bc.fc29.6.noarch
gnome-shell-extension-system-monitor-applet-38-4.20191019gitf00e248.fc31.noarch
gnome-shell-extension-windowoverlay-icons-34-2.fc31.noarch
gnome-shell-extension-common-3.34.2-1.fc31.noarch
gnome-shell-extension-iok-0.20161021-7.fc31.noarch
gnome-shell-extension-windowsNavigator-3.34.2-1.fc31.noarch
gnome-shell-extension-native-window-placement-3.34.2-1.fc31.noarch
gnome-shell-extension-historymanager-prefix-search-12-2.fc31.noarch
gnome-shell-extension-background-logo-3.34.0-1.fc31.noarch
gnome-shell-theme-selene-3.4.0-17.fc31.noarch
gnome-shell-extension-apps-menu-3.34.2-1.fc31.noarch

gnome-tweaks-3.34.0-1.fc31.noarch

Linux <host>.<domain>.net 5.4.7-200.fc31.x86_64 #1 SMP Tue Dec 31 22:25:12 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux

Comment 3 John L Magee 2020-01-09 02:31:07 UTC
FWIW, the system got to Fedora 31 from Fedora 29 using the DNF system update process.

Comment 4 John L Magee 2020-01-11 10:49:09 UTC
gnome-shell 3.34.3 seems to have resolved the issue

Comment 5 John L Magee 2020-01-12 18:18:53 UTC
I spoke too soon. Seems better but it still occurs.

Comment 6 John L Magee 2020-01-12 22:02:50 UTC
I'm attaching a journal log snippet and an abrt directory

Comment 7 John L Magee 2020-01-12 22:04:15 UTC
Created attachment 1651701 [details]
journal log

Comment 8 John L Magee 2020-01-12 22:05:08 UTC
Created attachment 1651702 [details]
abrt directory

Comment 9 Ope @Linux 2020-01-18 08:29:57 UTC
Created attachment 1653249 [details]
$ journalctl --since "2020-01-18 08:58:00" --until "2020-01-18 09:05:00" >journal.txt

Comment 10 Ope @Linux 2020-01-18 08:31:09 UTC
It's now even worser. Upload of SIGABRT fails again for unknown reasons :(

Description of problem:

After fresh boot, starting google-chrome, I faced a crashing of gnome-shell.

Version-Release number of selected component (if applicable):

$ rpm -qa | grep gnome-shell
gnome-shell-extension-places-menu-3.34.2-1.fc31.noarch
gnome-shell-extension-horizontal-workspaces-3.34.2-1.fc31.noarch
gnome-shell-extension-common-3.34.2-1.fc31.noarch
gnome-shell-extension-apps-menu-3.34.2-1.fc31.noarch
gnome-shell-extension-pidgin-1.0.3-5.fc31.noarch
gnome-shell-extension-user-theme-3.34.2-1.fc31.noarch
chrome-gnome-shell-10.1-5.fc31.x86_64
gnome-shell-extension-background-logo-3.34.0-1.fc31.noarch
gnome-shell-extension-window-list-3.34.2-1.fc31.noarch
gnome-shell-3.34.3-1.fc31.x86_64
gnome-shell-extension-launch-new-instance-3.34.2-1.fc31.noarch

$ rpm -qa | grep google-chrome
google-chrome-stable-79.0.3945.130-1.x86_64

How reproducible:

each time

Steps to Reproduce:
1. boot
2. login 
3. call gnome-tweaks and re-enable Extensions/AddOns again if disabled again for some unknown reasons
4. Simple start chrome :)


Actual results:

crash of chrome

Expected results:

still working gnome desktop and chrome

Additional info:

SIGABRT isn't very useful in my case ... So I did:

$ journalctl --since "2020-01-18 08:58:00" --until "2020-01-18 09:05:00" >journal.txt

in hope that's may be useful. Also, that the attachment is correctly assign to this answer.

Comment 11 Ope @Linux 2020-01-18 08:42:00 UTC
Why does it affect my setup? What does trigger the crash? Even "$ google-chrome --disable-extensions" doesn't has any changes here?

Comment 12 Ope @Linux 2020-01-18 08:52:19 UTC
just checked, enabling/disabling gnome extensions via tweaks doesn't effects the crash result :(

Comment 13 Jonas Ådahl 2020-01-18 09:39:06 UTC
Given the backtrace in the journal I'd say it looks like a duplicate of https://bugzilla.redhat.com/show_bug.cgi?id=1773882.

Comment 14 Ope @Linux 2020-01-27 17:14:34 UTC
strange, there seems to be some updates applied, I can use chrome again for now. For my point of view the case/bug can be closed. Hopefully never rise again ...

Comment 15 Ope @Linux 2020-02-01 16:27:21 UTC
Damn, the problem rises again .... What has been changed behind?

$ rpm -qa | grep gnome-shell
gnome-shell-extension-places-menu-3.34.2-1.fc31.noarch
gnome-shell-extension-horizontal-workspaces-3.34.2-1.fc31.noarch
gnome-shell-extension-common-3.34.2-1.fc31.noarch
gnome-shell-extension-apps-menu-3.34.2-1.fc31.noarch
gnome-shell-extension-pidgin-1.0.3-5.fc31.noarch
gnome-shell-extension-user-theme-3.34.2-1.fc31.noarch
chrome-gnome-shell-10.1-5.fc31.x86_64
gnome-shell-extension-background-logo-3.34.0-1.fc31.noarch
gnome-shell-extension-window-list-3.34.2-1.fc31.noarch
gnome-shell-3.34.3-1.fc31.x86_64
gnome-shell-extension-launch-new-instance-3.34.2-1.fc31.noarch

$ rpm -qa | grep google-chrome
google-chrome-stable-79.0.3945.130-1.x86_64

Comment 16 John L Magee 2020-02-01 17:09:53 UTC
This issue is caused by https://gitlab.gnome.org/GNOME/mutter/issues/944 whic no one on the Gnome team seems interested in fixing. I've switched to Xfce, perhaps permanently.


Note You need to log in before you can comment on or make changes to this bug.